> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/market/get-exchange-rate/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get exchange rate GET https://www.okx.com/api/v5/market/exchange-rate Retrieve the average exchange rate of USD to CNY over the past two weeks. Reference: https://okx-demo.ferndocs.com/api/api-reference/market/get-exchange-rate ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5MarketExchangeRateGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5MarketExchangeRateGetResponsesContentApplicationJsonSchemaDataItems - `usdCny` (string, optional) — Exchange rate of USD to CNY. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "usdCny": "7.162" } ] } ``` **SDK Code** ```python market_getExchangeRate_example import requests url = "https://www.okx.com/api/v5/market/exchange-rate" response = requests.get(url) print(response.json()) ``` ```javascript market_getExchangeRate_example const url = 'https://www.okx.com/api/v5/market/exchange-rate'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go market_getExchangeRate_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/market/exchange-rate" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby market_getExchangeRate_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/market/exchange-rate") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java market_getExchangeRate_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/market/exchange-rate") .asString(); ``` ```php market_getExchangeRate_example request('GET', 'https://www.okx.com/api/v5/market/exchange-rate'); echo $response->getBody(); ``` ```csharp market_getExchangeRate_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/market/exchange-rate"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift market_getExchangeRate_example import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/market/exchange-rate")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```